package com.pnkx.mapper;

import com.pnkx.domain.po.PxLikeRecord;

import java.util.List;

/**
 * 点赞记录Mapper接口
 *
 * @author pnkx
 * @date 2023-08-25
 */
public interface PxLikeRecordMapper {
    /**
     * 查询点赞记录
     *
     * @param pxLikeRecord 点赞记录
     * @return 点赞记录
     */
    public PxLikeRecord selectPxLikeRecord(PxLikeRecord pxLikeRecord);

    /**
     * 查询点赞记录列表
     *
     * @param pxLikeRecord 点赞记录
     * @return 点赞记录集合
     */
    public List<PxLikeRecord> selectPxLikeRecordList(PxLikeRecord pxLikeRecord);

    /**
     * 新增点赞记录
     *
     * @param pxLikeRecord 点赞记录
     * @return 结果
     */
    public int insertPxLikeRecord(PxLikeRecord pxLikeRecord);

    /**
     * 删除点赞记录
     *
     * @param id 点赞记录ID
     * @return 结果
     */
    public int deletePxLikeRecordById(Long id);
    }
