package com.pnkx.service;

import com.pnkx.common.core.page.TableDataInfo;
import com.pnkx.domain.po.PxBookkeepingRecord;

/**
 * @author PHY
 * @classname IPxBookkeepingRecordService
 * @data 2021/11/18 0018 14:35
 * @description 描述
 */
public interface IPxBookkeepingRecordService {
    /**
     * 查询账本记录
     *
     * @param id 账本记录ID
     * @return 账本记录
     */
    public PxBookkeepingRecord selectPxBookkeepingRecordById(Long id);

    /**
     * 查询账本记录列表
     *
     * @param pxBookkeepingRecord 账本记录
     * @return 账本记录集合
     */
    public TableDataInfo selectPxBookkeepingRecordList(PxBookkeepingRecord pxBookkeepingRecord);

    /**
     * 新增账本记录
     *
     * @param pxBookkeepingRecord 账本记录
     * @return 结果
     */
    public int insertPxBookkeepingRecord(PxBookkeepingRecord pxBookkeepingRecord);

    /**
     * 修改账本记录
     *
     * @param pxBookkeepingRecord 账本记录
     * @return 结果
     */
    public int updatePxBookkeepingRecord(PxBookkeepingRecord pxBookkeepingRecord);

    /**
     * 批量删除账本记录
     *
     * @param ids 需要删除的账本记录ID
     * @return 结果
     */
    public int deletePxBookkeepingRecordByIds(Long[] ids);

    /**
     * 删除账本记录信息
     *
     * @param id 账本记录ID
     * @return 结果
     */
    public int deletePxBookkeepingRecordById(Long id);
}
